# Cool Calendar Extras

## Overview
Add some extra calendar and date functionalities on Full Calendar View and
Smart Date modules.

## Features
 - **Legend block**
   - It provides a block where it appears a legend with a list of terms of
   taxonomy with the colors for each term of taxonomy.
 - **Overlapping**
   - It checks overlapping reservations (including recurring dates).
 - **Reminders**
   - It sends reminder email messages of reservations that take place at the
   current day (you can customize the reminder message for each entity with
   tokens).
 - **Limit recurrences**
   - Set the maximum number recurrences allowed by a reservation.
 - **Unpublish expired reservations**
   - When the last recurrence of a reservation expires, it can unpublish the reservation (after an specific number of months) automatically with cron.

## Requirements
This module requires the following Drupal modules:

- [Smart Date](https://www.drupal.org/project/smart_date "Smart Date")
- [Fullcalendar View](https://www.drupal.org/project/fullcalendar_view "Fullcalendar View")
- [Token](https://www.drupal.org/project/token "Token")

It works with Drupal 10. Developed and tested on an environment with:
- Drupal core: 10.2.2
- PHP: 8.1.18

## Installation
Install as you would normally install a contributed Drupal module.
For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## More information
[Check the Drupal module page](https://www.drupal.org/project/cool_calendar_extras)
