<?php

namespace Drupal\cool_calendar_extras\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Checks that if the number of recurrence elements allowed are exceed.
 *
 * @Constraint(
 *   id = "MaxRecurrences",
 *   label = @Translation("Max Recurrences", context = "Validation"),
 *   type = "string"
 * )
 */
class MaxRecurrencesConstraint extends Constraint {

  /**
   * Message that it will appear if the number of recurrences are exceeded.
   *
   * @var string
   */
  public $eventRecurrencesExceeded = 'The configuration that you have set exceeds the number of recurrence elements allowed.';

}
